//
//  Define.h
//  AsReaderWiredBOXTypeSDK
//
//  Created by mac on 2019/3/18.
//  Copyright © 2019年 Robin. All rights reserved.
//

#ifndef Define_h
#define Define_h

typedef NS_ENUM (NSUInteger, AsReaderWiredBOXTypeSDKPrinterStatus){
    AsReaderWiredBOXTypeSDKPrinterStatus_NOERROR = 0,
    AsReaderWiredBOXTypeSDKPrinterStatus_NOPAPER,
    AsReaderWiredBOXTypeSDKPrinterStatus_InstitutionalFailure,
    AsReaderWiredBOXTypeSDKPrinterStatus_CoverOpen,
};

typedef NS_ENUM(NSUInteger, AsReaderWiredBOXTypeSDKBOXNetworkState) {
    AsReaderWiredBOXTypeSDKBOXNetworkStateConnected,
    AsReaderWiredBOXTypeSDKBOXNetworkStateDisconnected,
    AsReaderWiredBOXTypeSDKBOXNetworkStateConnecting,
    AsReaderWiredBOXTypeSDKBOXNetworkStateRecievedData,
    AsReaderWiredBOXTypeSDKBOXNetworkStateError,
};

typedef NS_ENUM(NSUInteger, AsReaderWiredBOXTypeSDKBOXSelectAntenna) {
    AsReaderWiredBOXTypeSDKBOXSelectAntennaNone,
    AsReaderWiredBOXTypeSDKBOXSelectAntenna1,
    AsReaderWiredBOXTypeSDKBOXSelectAntenna2,
    AsReaderWiredBOXTypeSDKBOXSelectAntenna3,
    AsReaderWiredBOXTypeSDKBOXSelectAntenna4,
    AsReaderWiredBOXTypeSDKBOXSelectAntenna5,
    AsReaderWiredBOXTypeSDKBOXSelectAntenna6,
    AsReaderWiredBOXTypeSDKBOXSelectAntenna7,
    AsReaderWiredBOXTypeSDKBOXSelectAntenna8,
};

typedef NS_ENUM (NSUInteger, AsReaderWiredBOXTypeSDKCutType){
    AsReaderWiredBOXTypeSDKCutTypeFull = 0x69,
    AsReaderWiredBOXTypeSDKCutTypeHalf = 0x6D,
};

typedef NS_ENUM (NSUInteger, AsReaderWiredBOXTypeSDKPrinterAlignment){
    AsReaderWiredBOXTypeSDKPrinterAlignmentLeft = 0,
    AsReaderWiredBOXTypeSDKPrinterAlignmentCenter = 1,
    AsReaderWiredBOXTypeSDKPrinterAlignmentRight = 2
};

typedef NS_ENUM (NSUInteger, AsReaderWiredBOXTypeSDKMNPrintFont){
    AsReaderWiredBOXTypeSDKMNPrintFont_1 = 0x00,
    AsReaderWiredBOXTypeSDKMNPrintFont_2 = 0x11,
    AsReaderWiredBOXTypeSDKMNPrintFont_3 = 0x22,
    AsReaderWiredBOXTypeSDKMNPrintFont_4 = 0x33,
    AsReaderWiredBOXTypeSDKMNPrintFont_5 = 0x44,
    AsReaderWiredBOXTypeSDKMNPrintFont_6 = 0x55,
    AsReaderWiredBOXTypeSDKMNPrintFont_7 = 0x66,
    AsReaderWiredBOXTypeSDKMNPrintFont_8 = 0x77,
};

typedef NS_ENUM (NSUInteger, AsReaderWiredBOXTypeSDKQrModel){
    AsReaderWiredBOXTypeSDKQrModel_1 = 49,     //!< QR Model1
    AsReaderWiredBOXTypeSDKQrModel_2 = 50      //!< QR Model2
};

typedef NS_ENUM (NSUInteger, AsReaderWiredBOXTypeSDKQrDotSize){
    AsReaderWiredBOXTypeSDKQrDotSize_1 = 1,    //!< QR dot size 1x1
    AsReaderWiredBOXTypeSDKQrDotSize_2 = 2,    //!< QR dot size 2x2
    AsReaderWiredBOXTypeSDKQrDotSize_3 = 3,    //!< QR dot size 3x3
    AsReaderWiredBOXTypeSDKQrDotSize_4 = 4,    //!< QR dot size 4x4
    AsReaderWiredBOXTypeSDKQrDotSize_5 = 5,    //!< QR dot size 5x5
    AsReaderWiredBOXTypeSDKQrDotSize_6 = 6,    //!< QR dot size 6x6
    AsReaderWiredBOXTypeSDKQrDotSize_7 = 7     //!< QR dot size 7x7
};

typedef NS_ENUM(NSUInteger, AsReaderWiredBOXTypeSDKBOXStatusCode) {
    AsReaderWiredBOXTypeSDKBOXStatusCodeUnknown = -1,
    AsReaderWiredBOXTypeSDKBOXStatusCodeSuccess = 0,
    AsReaderWiredBOXTypeSDKBOXStatusCodeFailed,
};

typedef NS_ENUM(NSUInteger, AsReaderWiredBOXTypeSDKCommonStatus) {
    AsReaderWiredBOXTypeSDKCommonStatusNone,
    AsReaderWiredBOXTypeSDKCommonStatusSuccess,
    AsReaderWiredBOXTypeSDKCommonStatusFailure,
};
typedef NS_ENUM(NSInteger, AsReaderWiredBOXTypeSDKResultSetRecharging){
    AsReaderWiredBOXTypeSDKResultSetRechargingSucceed,
    AsReaderWiredBOXTypeSDKResultSetRechargingFailed_Type_C_Busy,
    AsReaderWiredBOXTypeSDKResultSetRechargingFailed
};
typedef NS_ENUM(NSUInteger, AsReaderWiredBOXTypeConnectMethod) {
    AsReaderWiredBOXTypeConnectMethod_TCP,
    AsReaderWiredBOXTypeConnectMethod_MQTT,
};
#endif /* Define_h */
