#import <Foundation/Foundation.h>
#import <CFNetwork/CFNetwork.h>

@protocol AsReaderWiredBOXTypeTCPDelegate <NSObject>
- (void)onTCPReceive:(NSData *)data;
- (void)onTCPDisconnect;
- (void)onTCPConnected;
- (void)onTCPErrorReceive:(NSError *)err;
@end

@interface AsReaderWiredBOXTypeTCP : NSObject<NSStreamDelegate>

@property (nonatomic,assign) BOOL isConnected;
@property (atomic, retain) id <AsReaderWiredBOXTypeTCPDelegate> delegate;

- (void) connect:(NSString*)ip port:(int)remoteport;
- (void) reconnect;
- (void) disConnect;
- (void) sendData:(NSData *)data Len:(int)len;
@end

