#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <CFNetwork/CFNetwork.h>
#include <sys/socket.h>
#include <stdlib.h>
#include <sys/types.h>
#include <netinet/in.h>
#include <arpa/inet.h>

@protocol AsReaderWiredBOXTypeUDPDelegate <NSObject>
- (void) onUPDSearchingReceive:(NSString*)ip isFinish:(BOOL)isFinish;
- (void) onSearchingDeviceInfoReceive:(NSArray *)infoArray;
@end

@interface AsReaderWiredBOXTypeUDP : NSObject

@property (atomic, retain) id <AsReaderWiredBOXTypeUDPDelegate> delegate;

-(BOOL)searchDevice;
-(BOOL)stopSearch;
-(BOOL)setDHCPOnMac:(NSString *)macAddr;
-(BOOL)setDHCPOffMacAddress:(NSString *)macAddr IP:(NSString *)ip Subnet:(NSString *)subnet GateWay:(NSString *)gateWay DNSServer:(NSString*)dnsServer;
@end
